Subject: Re: fvwm-menu-headlines

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 10 Jun 2002 21:55:14 +0000

On 10 Jun 2002 13:52:38 +0100, Tim Phipps wrote:
> 
>     Have you heard of WMHeadlines? You can get it from 
> http://www.shutdown.com/~lestat/WMHeadlines . It has an awful lot of 
> headline sites but it lacks a filter to produce fvwm menus.

I was familar with the old one, I even got some ideas from it. :)

  % man fvwm-menu-headlines | grep WMHeadlines

Just downloaded their latest version. Looks good, but I can't actually run
it because my LWP has problems with making connections, no time to fix it.

Advantanges of WMHeadlines vus fvwm-menu-headlines:

  * A lot of non computer news sites supported
  * Extensible site db configuration
  * Site db is stored in 122 external files, not inside the script

Disadvantages of WMHeadlines:

  * Many non-working sites (non-existing anymore or changed format)
  * Non geek sites don't provide backends, so parsing whole real pages
  * Lacking scriptability in site db configuration
  * A need to manually install 129 files and some perl packages from CPAN.
    fvwm-menu-headlines should work as is, run it and report if not
  * No support for the publishing time for every single headline
  * No support for menu icons, no equivalent for 14 command line options
  * No support for MissingSubmenuFunction, they always do it in 2 stages,
    initially create a file using 2 scripts, then load a menu from a file

The last 3 disadvantages make a merging impossible, it's just easier to
add some interesting sites to fvwm-menu-headlines. Not urgent though.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]